%define upstream_name    XML-LibXML
%define upstream_version 2.0210

%{?perl_default_filter}
# Useless requires on perl >= 5.008 that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::More|5.008

%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

Name:       perl-%{upstream_name}
%if 0%{?perl_convert_version:1}
Version:    %perl_convert_version %{upstream_version}
%else
Version:    %{upstream_version}
%endif
Release:    %mkrel 10

Summary:    Perl Bindings for libxml2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base::Wrapper)
BuildRequires: perl(Alien::Libxml2) >= 0.140.0
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Encode)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(XML::NamespaceSupport) >= 1.70.0
BuildRequires: perl(XML::SAX) >= 0.110.0
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::SAX::DocumentLocator)
BuildRequires: perl(XML::SAX::Exception)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(locale)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: pkgconfig(libxml-2.0) >= 2.9.10
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(liblzma)
Obsoletes:  perl-XML-LibXML-XPathContext < 2.0
Obsoletes:  perl-XML-LibXML-Common < 2.0
Requires:   libxml2 >= 2.9.10
Requires(post):     perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-SAX >= 0.11

%{?perl_default_filter}

%description
This module implements much of the DOM Level 2 API as an
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make_build

%check
%dnl LC_ALL=C %{__make} test

%install
%make_install

%preun -p %{_bindir}/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{_bindir}/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*
